#============================================================================
#                                 WARNING
#
#            ALTERING THE HRS MEMORY MANAGEMENT CONFIGURATION
#                  MAY RESULT IN PRODUCT INSTABILITY.
#          PROCEED ONLY AFTER CONSULTING AN R&D REPRESENTATIVE.
#
#============================================================================
# 31-Aug-2009 Igor S.  CRDB00079051 Porting to 11.6 - CRDB00072047 Customer would like HRS 11.0.6 French version to add a dialog box to warn user about low memory when the user invokes MPR tool.

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_MANAGEMENT_ENABLED
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Enable or disable Memory Manager
# CONTEXT:           -
# RANGE OF VALUES:   1 - ENABLED
#                          In this mode, specific memory management features 
#                          are controlled by the configuration variables below
#
#                    0 - DISABLED
#                          In this mode, ALL memory management features 
#                          are DISABLED
#
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_MANAGEMENT_ENABLED		INSTALL		1			


#============================================================================
#           THE CONFIGURATION VARIABLES BELOW THIS LINE CONTROL 
#                 SPECIFIC MEMORY MANAGEMENT FEATURES.
#   IN EFFECT ONLY IF MEMORYMANAGER.MEMORY_MANAGEMENT_ENABLED IS SET TO 1
#============================================================================
#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_HOOKING_ENABLED
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Enable or disable allocation hooking
#                    - When enabled, memory allocation is intercepted by 
#                      the memory management system. 
#                      This gives HRS the ability to cope with situations 
#                      recoverable memory allocation errors by attempting 
#                      reclaim memory and retry the allocation. 
#
# CONTEXT:           -
# RANGE OF VALUES:   1 - enabled; 0 - disabled
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_HOOKING_ENABLED		INSTALL		1

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.STOP_LOADER_ON_CRITICAL	
# VARIABLE_TYPE:     double
# DESCRIPTION:       Stop auto-load of images when memory condition is critical.
# CONTEXT:           -
# RANGE OF VALUES:   YES/NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.STOP_LOADER_ON_CRITICAL	INSTALL		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.SYSTEM_MEMORY_MANAGEMENT_STRATEGY
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Configures the mode in which HRS reacts to system memory
#                    availability and load.
#                    The following terms are used in the description below:
#					 <HRS working set> - physical memory used by HRS
#					 <HRS committed>   - system memory used by HRS(physical + page file)
#					 <HRS reserved>   - system memory used by HRS(physical + page file)
#                    <total physical>      - installed physical memory (RAM). 
#                    <available physical>  - available physical memory (RAM). 
#
# CONTEXT:           -
# RANGE OF VALUES:   
#                    0 - OFF 
#                         Ignores system memory size and load.HRS will attempt
#                         to use 2GB of virtual address space, irrespective
#                         of the amount of available system memory.

#                         On systems with limited RAM this may
#                         result in significant page file access and in
#                         a corresponding impact on system responsiveness.
#
#                         On systems with insufficient virtual memory
#                         this mode will potentially result in the system 
#                         prompting the user to increase the page file size.
#
#                    1 - AGGRESIVE
#                         Attempts to occupy the system's physical memory.
#                         HRS will enter the high memory usage state when 
#                         <HRS reserved> is greater than <total physical>
#
#                         On systems with limited RAM this may result in
#                         system slowdown while HRS increases its working set.
#
#                    2 - YIELD
#                         Attempts to accomodate the OS and the other
#                         running applications. 
#                         HRS enters the high memory usage state when
#                         <HRS committed> is greater than
#                         <HRS working set> + <available physical>
#                         
#                         This mode takes into account the global RAM 
#                         utilization and may result in HRS behaving 
#                         conservatively if other running processes 
#                         utilize a large amount of sytem memory
#                         
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.SYSTEM_MEMORY_MANAGEMENT_STRATEGY	INSTALL		2

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.COMPACT_HEAPS	
# VARIABLE_TYPE:     BOOL
# DESCRIPTION:       Enable automatic heap compacting.
#					   If set to YES, the memory manager will attempt to
#                      compact the HRS heaps in order to reclaim memory.
# CONTEXT:           -
# RANGE OF VALUES:   YES/NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.COMPACT_HEAPS			INSTALL		YES

#============================================================================
#          THE CONFIGURATION VARIABLES BELOW THIS LINE DEFINE 
#         VARIOUS MEMORY THRESHOLDS USED TO CONTROL HRS BEHAVIOR.
#   IN EFFECT ONLY IF MEMORYMANAGER.MEMORY_MANAGEMENT_ENABLED IS SET TO 1
#============================================================================

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_MEDIUM_USAGE
# VARIABLE_TYPE:     double
#
# DESCRIPTION:       - Indicates lower limit for medium memory usage
#                      (low usage is between 0 & MEMORY_MEDIUM_USAGE)
#
#                    - The value is expressed as
#                      <reserved memory>/<size of HRS virtual address space>
#                      currently <size of HRS virtual address space> is 2GB
#
#                    - For example, a value of .40 means that HRS will
#                      enter the medium memory usage state when its virtual
#                      memory footprint reaches 800 MB
#
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.40
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_MEDIUM_USAGE		INSTALL		0.40

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_HIGH_USAGE
# VARIABLE_TYPE:     double
# DESCRIPTION:       Indicates lower limit for high memory usage
#                    (medium usage is between MEMORY_MEDIUM_USAGE & MEMORY_HIGH_USAGE)
#
#                    - The value is expressed as
#                      <reserved memory>/<size of HRS virtual address space>
#                      currently <size of HRS virtual address space> is 2GB
#
#                    - For example, a value of .85 means that HRS will
#                      enter the high memory usage state when its virtual
#                      memory footprint reaches 1700 MB
#
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.85
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_HIGH_USAGE		INSTALL		0.85

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_CRITICAL_USAGE
# VARIABLE_TYPE:     double
# DESCRIPTION:       Indicates lower limit for high memory usage 
#                    (high usage is between MEMORY_HIGH_USAGE & MEMORY_CRITICAL_USAGE)
#
#                    - The value is expressed as
#                      <reserved memory>/<size of HRS virtual address space>
#                      currently <size of HRS virtual address space> is 2GB
#
#                    - For example, a value of .93 means that HRS will
#                      enter the critical memory usage state when its virtual
#                      memory footprint reaches 1860 MB
#
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.93
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_CRITICAL_USAGE		INSTALL		0.93

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_HYSTERESIS
# VARIABLE_TYPE:     double
# DESCRIPTION:       Hysteresis to avoid transition in usage level values for
#			         minor changes in memory conditions.
#
#                    - The value is expressed as
#                      <reserved memory>/<size of HRS virtual address space>
#                      currently <size of HRS virtual address space> is 2GB
#
#                    - For example, a value of .02 means that HRS will use
#                      40 MB hysteresis bands. 
#
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.02
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_HYSTERESIS		INSTALL		0.02

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_MONITORING_INTERVAL
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Interval in sec. for updating memory usage
# CONTEXT:           -
# RANGE OF VALUES:   0 - 60
# SUGGESTED DEFAULT: 5
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_MONITORING_INTERVAL		INSTALL		5		

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MWORKING_BUFFER_INCREMENT_VALUE
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Size of increment for working buffer in bytes
# CONTEXT:           -
# RANGE OF VALUES:   -
# SUGGESTED DEFAULT: 5000000
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MWORKING_BUFFER_INCREMENT_VALUE   INSTALL		5000000		

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.MWORKING_BUFFER_SIZE
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Size of for working buffer in bytes
# CONTEXT:           -
# RANGE OF VALUES:   -
# SUGGESTED DEFAULT: 5000000
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MWORKING_BUFFER_SIZE   INSTALL		5000000	

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.IMAGE_MEMORY_LOW_CONDITION
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Percentage of image memory to committed memory
#					 to consider image memory too LOW
# CONTEXT:           site only
# RANGE OF VALUES:   1-100
# SUGGESTED DEFAULT: 50
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.IMAGE_MEMORY_LOW_CONDITION   INSTALL		50

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.RESERVED_MEMORY_HIGH_CONDITION
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Percentage of reserved memory to process virtual memory
#					 to consider reserved memory too HIGH
# CONTEXT:           site only
# RANGE OF VALUES:   1-100
# SUGGESTED DEFAULT: 80
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.RESERVED_MEMORY_HIGH_CONDITION   INSTALL		80

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.COMMITTED_MEMORY_HIGH_CONDITION
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Percentage of committed memory to reserved memory
#					 to consider committed memory too HIGH
# CONTEXT:           site only
# RANGE OF VALUES:   1-100
# SUGGESTED DEFAULT: 80
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.COMMITTED_MEMORY_HIGH_CONDITION   INSTALL		80

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MEMORYMANAGER.ENABLE_VERBOSE_TRACING
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       This variable should never be configured to YES
#					 on production system unless verbose tracing is
#					 requested by R&D to investigate related problems.
#					 It MUST be removed from site file as soon as
#					 investigation is completed.
# CONTEXT:           site only
# RANGE OF VALUES:   YES or NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.ENABLE_VERBOSE_TRACING   INSTALL		NO

#============================================================================
#     THE CONFIGURATION VARIABLES BELOW THIS LINE HAVE BEEN DEPRECATED
#============================================================================
#----------------------------------------------------------------------------
#
# DO NOT USE - THIS CONFIGURATION VARIABLE HAS BEEN DEPRECATED
#
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_DISCARDING_PERCENT
# VARIABLE_TYPE:     double
# DESCRIPTION:       Percentage of the memory freed upon reaching critical level
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.20
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_DISCARDING_PERCENT		INSTALL		0.20	

#----------------------------------------------------------------------------
#
# DO NOT USE - THIS CONFIGURATION VARIABLE HAS BEEN DEPRECATED
#
# VARIABLE_NAME:     MEMORYMANAGER.MEMORY_LOW_USAGE
# VARIABLE_TYPE:     double
# DESCRIPTION:       Indicates lower limit for low memory usage
# CONTEXT:           -
# RANGE OF VALUES:   0.00 - 1.00
# SUGGESTED DEFAULT: 0.00
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MEMORYMANAGER.MEMORY_LOW_USAGE		INSTALL		0.00	
